# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{pdf-reader}
  s.version = "1.1.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["James Healy"]
  s.date = %q{2012-05-09}
  s.description = %q{The PDF::Reader library implements a PDF parser conforming as much as possible to the PDF specification from Adobe}
  s.email = ["jimmy@deefa.com"]
  s.executables = ["pdf_object", "pdf_text", "pdf_list_callbacks", "pdf_callbacks"]
  s.extra_rdoc_files = ["README.rdoc", "TODO", "CHANGELOG", "MIT-LICENSE"]
  s.files = ["examples/metadata.rb", "examples/extract_images.rb", "examples/extract_bates.rb", "examples/callbacks.rb", "examples/rspec.rb", "examples/hash.rb", "examples/text.rb", "examples/extract_fonts.rb", "examples/page_count.rb", "examples/version.rb", "lib/pdf/reader.rb", "lib/pdf/hash.rb", "lib/pdf/reader/print_receiver.rb", "lib/pdf/reader/xref.rb", "lib/pdf/reader/buffer.rb", "lib/pdf/reader/font.rb", "lib/pdf/reader/parser.rb", "lib/pdf/reader/error.rb", "lib/pdf/reader/filter.rb", "lib/pdf/reader/object_hash.rb", "lib/pdf/reader/stream.rb", "lib/pdf/reader/page_state.rb", "lib/pdf/reader/standard_security_handler.rb", "lib/pdf/reader/cmap.rb", "lib/pdf/reader/form_xobject.rb", "lib/pdf/reader/object_cache.rb", "lib/pdf/reader/object_stream.rb", "lib/pdf/reader/encoding.rb", "lib/pdf/reader/page_text_receiver.rb", "lib/pdf/reader/text_receiver.rb", "lib/pdf/reader/glyph_hash.rb", "lib/pdf/reader/glyphlist.txt", "lib/pdf/reader/lzw.rb", "lib/pdf/reader/register_receiver.rb", "lib/pdf/reader/page.rb", "lib/pdf/reader/abstract_strategy.rb", "lib/pdf/reader/pages_strategy.rb", "lib/pdf/reader/reference.rb", "lib/pdf/reader/encodings/standard.txt", "lib/pdf/reader/encodings/mac_roman.txt", "lib/pdf/reader/encodings/symbol.txt", "lib/pdf/reader/encodings/win_ansi.txt", "lib/pdf/reader/encodings/zapf_dingbats.txt", "lib/pdf/reader/encodings/pdf_doc.txt", "lib/pdf/reader/encodings/mac_expert.txt", "lib/pdf/reader/resource_methods.rb", "lib/pdf/reader/metadata_strategy.rb", "lib/pdf/reader/token.rb", "lib/pdf-reader.rb", "Rakefile", "README.rdoc", "TODO", "CHANGELOG", "MIT-LICENSE", "bin/pdf_object", "bin/pdf_text", "bin/pdf_list_callbacks", "bin/pdf_callbacks"]
  s.homepage = %q{http://github.com/yob/pdf-reader}
  s.post_install_message = %q{
********************************************

v1.0.0 of PDF::Reader introduced a new page-based API. There are extensive
examples showing how to use it in the README and examples directory.

For detailed documentation, check the rdocs for the PDF::Reader,
PDF::Reader::Page and PDF::Reader::ObjectHash classes.

The old API is marked as deprecated but will continue to work with no
visible warnings for now.

********************************************

}
  s.rdoc_options = ["--title", "PDF::Reader Documentation", "--main", "README.rdoc", "-q"]
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.8.7")
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{A library for accessing the content of PDF files}

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<roodi>, [">= 0"])
      s.add_development_dependency(%q<rspec>, ["~> 2.3"])
      s.add_development_dependency(%q<ZenTest>, ["~> 4.4.2"])
      s.add_runtime_dependency(%q<Ascii85>, ["~> 1.0.0"])
      s.add_runtime_dependency(%q<ruby-rc4>, [">= 0"])
    else
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<roodi>, [">= 0"])
      s.add_dependency(%q<rspec>, ["~> 2.3"])
      s.add_dependency(%q<ZenTest>, ["~> 4.4.2"])
      s.add_dependency(%q<Ascii85>, ["~> 1.0.0"])
      s.add_dependency(%q<ruby-rc4>, [">= 0"])
    end
  else
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<roodi>, [">= 0"])
    s.add_dependency(%q<rspec>, ["~> 2.3"])
    s.add_dependency(%q<ZenTest>, ["~> 4.4.2"])
    s.add_dependency(%q<Ascii85>, ["~> 1.0.0"])
    s.add_dependency(%q<ruby-rc4>, [">= 0"])
  end
end
